Page MenuHomePhabricator

Activating Upload Wizard Extension in fa.wiki
Open, LowPublic

Description

Hi,
Would you please activate Upload Wizard Extension in fa.wiki?


Version: unspecified
Severity: enhancement

Details

Reference
bz31070

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:57 PM
bzimport set Reference to bz31070.
bzimport added a subscriber: Unknown Object (MLST).
Yamaha5 created this task.Sep 21 2011, 2:14 PM
Reedy added a comment.Sep 21 2011, 2:24 PM

Please link to consensus for this change

Messages are 100% translated.

Neil, any reason this can't be deployed?

Messages are 100% translated.
about consensus, it is extension and it can be optional like commons.wikimedia.

neilk wrote:

Are you sure this is a good idea? UploadWizard currently has some remaining issues with RTL. You can fight through them but it's not a great experience for languages like Farsi.

Also, I'd need to understand the copyright policies on fawiki in order to configure it right. Do they allow fair use, etc.

I can add appropriate config to deploy it, but at the least I would suggest a review from fa.wikipedians before we change the sidebar links. Some things they may want to change:

  • the "tutorial" image or splash page - it's Commons-specific at the moment, but it can now be changed
  • what licenses are shown
  • double check that the layout in RTL isn't completely horrible (it is slightly horrible)

In any case I am not sure if we want to be supporting any customer other than Commons ATM -- we have our hands full just doing what they need. So I'll run it by my managers.

I changed language in commons and now it is Farsi :)
some minor bug
1-top bar (Tutorial> Upload ....) have to be right to left
2- using formatnum for changing numbers in upload counter to Persian one
3-colaps triangle in licensing part must be at right side of text
I checked other parts and they are ok :)

neilk wrote:

For reference, this is the RTL tracking bug for UploadWizard: bug #24692

Although Reza seems to think it's more or less acceptable right now, I'm not sure that everyone will share that opinion. I am not a Farsi speaker. Best I can do is satisfy our i18n team who have noted a number of other issues.

Marking as a blocker for this bug.

-shell for the moment

thanks amir Bug 24692 is fixed please active it in fa.wiki

Reedy added a comment.Mar 29 2012, 8:17 PM

(In reply to comment #9)

thanks amir Bug 24692 is fixed please active it in fa.wiki

Need to wait for review of the code, then it merging and being deployed! Nearly there ;)

Could we now deploy it or is there still a blocker?

Huji added a comment.Sep 27 2012, 10:53 AM

Can you (at least temporarily) enable it on Test Wikipedia, so we can try it out and make sure it is all set?

@Huji
now it is active on http://commons.wikimedia.org/wiki/Special:UploadWizard?uselang=fa
I checked it before and reported some bugs on bug 24692
In my opinion now it is ok

Huji added a comment.Sep 27 2012, 10:56 PM

Thanks for the link. It actually is not complete yet. The checkbox on the bottom of page is left-aligned, it should be right-aligned. Also, the text in the tab labels is not centered in the label (it is in English version).

(In reply to comment #14)

Thanks for the link. It actually is not complete yet. The checkbox on the
bottom of page is left-aligned, it should be right-aligned. Also, the text in
the tab labels is not centered in the label (it is in English version).

Huji: Are you aware of bug reports for these issues, that this ticket could be marked as depending on?

Huji added a comment.Dec 21 2012, 6:08 PM

Negative. One needs to review the interface and post bug reports. I want to say I will, but I don't have the time as of now.

I reopend bug 24692 for solving these bugs

So T26692 has solved the blocker RTL issues in previous comments.

@Huji @Yamaha5 are you still interested by this extension on-wiki?

Huji added a comment.Apr 28 2016, 10:50 PM

The interest is still there. I have used the RTL interface on Commons and it looks fine.

T31955 seems another blocker.

We could enable UploadWizard on fawiki right now, but I don't think you would really like it. We still hardcode quite a bit of Commons-specific stuff, and some other stuff would need to be configured. Off the top of my head:

  • No support for fair use, and in general licenses that are not okay on Commons (T31955) – this should be easy to do, but still needs some implementation work (mostly to add localisation messages for any new license), similar to this patch: https://gerrit.wikimedia.org/r/#/c/283499/. Otherwise the only way to add one would be to use the "custom wikitext" license.
  • There's also no support for anything like the Non-free use rationale template, the user would currently have to add the wikitext to file description by hand. This would probably be quite a bit of implementation work.
  • Templates used on File pages are not localisable/configurable (T51443) – you'll need to create the templates with English names on fawiki. At minimum, you'll need {{Information}} (used on every file page), {{own}} (used to mark "own work"), and a few language templates (presumably {{fa}}, and probably also {{en}}, because I'm not sure if UW will work fine without it). The template names and parameters are hardcoded in UW, so this might be annoying to work with later on an RTL wiki :/ You'll also need a template for every license you'll want to use (these are configurable, though).
  • A few localisation messages are not translated, mostly newly added ones: https://translatewiki.net/w/i.php?title=Special:Translate&group=ext-uploadwizard&language=fa&filter=%21translated&action=translate
  • The tutorial image (https://commons.wikimedia.org/wiki/File:Licensing_tutorial_fa.svg) will have to be replaced by something that describes fawiki policies (and doesn't talk about Commons ;) ).
  • The list of available licenses (which is configurable) will probably need to be adjusted (to add the fair use options or whatever, and maybe remove the ones which you don't have licensing templates for).

If you're okay with the limitations pointed out above (or if you're willing to write some patches :) ), and if you're going to do the on-wiki template/image setup and configuration, then sure. But I can't really promise much help. I'll gladly review any patches you submit, though, and I can probably help with the configuration if needed.

I added those as blocking issues for the current task. I think it is best if we wait for them to be resolved first.